E-MailRelay

Classes | Namespaces | Functions
gdnsblock.cpp File Reference
`#include "gdef.h"`
`#include "gdnsblock.h"`
`#include "gdnsmessage.h"`
`#include "gresolver.h"`
`#include "glocal.h"`
`#include "gstr.h"`
`#include "gtest.h"`
`#include "gassert.h"`
`#include "glog.h"`
`#include <sstream>`
`#include <algorithm>`
`#include <cstdlib>`

Go to the source code of this file.

## Classes
struct | GNet::DnsBlockImp::Responder
| A functor that tests a GNet::DnsBlockServerResult. More...
struct | GNet::DnsBlockImp::Denier
| A functor that tests a GNet::DnsBlockServerResult. More...
struct | GNet::DnsBlockImp::Laggard
| A functor that tests a GNet::DnsBlockServerResult. More...
struct | GNet::DnsBlockImp::HostList
| A list of addresses used by GNet::DnsBlock. More...

## Namespaces
namespace | GNet
| Network classes.
namespace | GNet::DnsBlockImp
| An implementation namespace for GNet::DnsBlock.

## Functions
std::ostream & | GNet::DnsBlockImp::operator<< (std::ostream &stream, const HostList &list)
template<typename T , typename P >
G::StringArray | GNet::DnsBlockImp::server_names_if (T p, T end, P pred)